Skip to main content
GET
List Audit Events

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

x-notte-request-origin
string | null
x-notte-sdk-version
string | null

Query Parameters

limit
integer
default:50

Events per page

Required range: 1 <= x <= 100
cursor
string | null

next_cursor from the previous page

since
string<date-time> | null

Only events at or after this time (ISO-8601)

until
string<date-time> | null

Only events before this time (ISO-8601)

action
string | null

Only events with this action, e.g. created

entity_type
string | null

Only events about this kind of resource, e.g. api_key

actor_id
string | null

Only events performed by this user

Response

Successful Response

items
AuditEvent · object[]
required
has_more
boolean
required
next_cursor
string | null

Opaque cursor for the next (older) page. Null when there are no more events.